package Echiquier;

/**
 * La simulation de l'echiquier
 */
public class Echiquier {
    public static final int MAXLIG = 8; //nombre max de lignes
    public static final int MAXCOL = 8; //nombre max de colonnes
    Case[][] table;
    public Echiquier(){
        //creation de la table de l'echiquier
        table = new Case[MAXLIG][MAXCOL];
        for(int lig=0; lig<MAXLIG; lig++) {
            for (int col = 0; col < MAXCOL; col++)
                table[lig][col] = new Case(lig, col);
        }

        new IHM(this);
    }

    public Case[][] getTable() {
        return table;
    }
}
